package net.wanji.opt.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/05/15 17:41
 */
@Data
@NoArgsConstructor
@ApiModel(value = "CommonCrossIdDateTimeVO")
public class CommonCrossIdDateTimeVO {
    @ApiModelProperty(value = "分析粒度【5m:五分钟 10m:10分钟 30m:30分钟 1h:一小时】")
    private String granularity;
    @ApiModelProperty(value = "路口ID")
    @NotBlank(message = "路口编号不能为空")
    private String crossId;
    @ApiModelProperty(value = "车道IDs")
    @NotBlank(message = "车道ids不能为空")
    private String ids;
    @ApiModelProperty(value = "开始时间")
    @NotNull(message = "开始日期不能为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date start;
    @ApiModelProperty(value = "结束时间")
    @NotNull(message = "结束时间不能为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date end;
}
