package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/17 9:00
 */
@Data
@NoArgsConstructor
@ApiModel(value = "LanePeriodTurnVO")
public class LanePeriodTurnVO extends CommonCrossIdDateTimeVO {
    @ApiModelProperty(value = "分析粒度【5m:五分钟 10m:10分钟 30m:30分钟 1h:一小时】")
    private String granularity;

    /**
     * 方向-转向
     * 例：1-1（北-左转）
     */
    @ApiModelProperty(value = "方向-转向")
    private String turns;

    /**
     * 用逗号分隔
     */
    @ApiModelProperty(value = "转向")
    private String turnType;
    /**
     * 用逗号分隔
     */
    @ApiModelProperty(value = "驶入方向")
    private String inDir;

    /**
     * 选中的要导出的字段
     */
    private List<String> selectedFields;
}
