package net.wanji.opt.vo;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.compress.utils.Lists;

import javax.validation.constraints.NotBlank;
import java.util.ArrayList;
import java.util.List;

/**
 * @author duanruiming
 * @date 2024/05/17 9:00
 */
@Data
@NoArgsConstructor
@ApiModel(value = "LanePeriodVO")
public class LanePeriodVO extends CommonCrossIdDateTimeVO {
    @ApiModelProperty(value = "分析粒度【5m:五分钟 10m:10分钟 30m:30分钟 1h:一小时】")
    private String granularity;

    @ApiModelProperty(value = "车道IDs")
    @NotBlank(message = "车道ids不能为空")
    private String ids;
    /**
     * 选中的要导出的字段
     */
    private List<String> selectedFields;

    public static void main(String[] args) {
        List<String> selectedFields = Lists.newArrayList();
        selectedFields.add("laneId");
        System.out.println(JSON.toJSONString(selectedFields));
    }
}
